<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="item$ | async as item">
  <ng-container *ngLet="nodes$ | async as nodes">
    <div class="flex gap-4 pb-3 h-16 items-center">
      <div class="text-text-500 text-md font-semibold flex items-center leading-none gap-2">
        <i class="fa fa-bell" style="font-size: 1rem"></i>
        <div>Event subscriptions</div>
      </div>
    </div>
    <div class="pb-40">
      <p-table [value]="nodes ?? []">
        <ng-template pTemplate="body" let-node>
          <tr>
            <td>
              <app-node-preview [node]="node"></app-node-preview>
            </td>
            <td>
              <app-org-preview [org]="node.owner"></app-org-preview>
            </td>
          </tr>
        </ng-template>
        <ng-template pTemplate="emptymessage" let-columns>
          <tr>
            <td colspan="1">
              <div class="flex flex-col w-full h-32 justify-center text-center">
                <app-sad-face></app-sad-face>
                This event has no subscriptions
              </div>
            </td>
            <td></td>
          </tr>
        </ng-template>
      </p-table>
    </div>
  </ng-container>
</ng-container>
